## org.apache.hadoop.io.compress.snappy
Class LoadSnappy

    java.lang.Object
      org.apache.hadoop.io.compress.snappy.LoadSnappy

    public class LoadSnappy

extends Object

Determines if Snappy native library is available and loads it if available.

Constructor Summary
`LoadSnappy()`

Method Summary
`static boolean` `isAvailable()` Returns if Snappy native library is loaded.
`static boolean` `isLoaded()` Returns if Snappy native library is loaded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadSnappy

    public LoadSnappy()

Method Detail

### isAvailable

    public static boolean isAvailable()

  Returns if Snappy native library is loaded.

  Returns:
    `true` if Snappy native library is loaded, `false` if not.

### isLoaded

    public static boolean isLoaded()

  Returns if Snappy native library is loaded.

  Returns:
    `true` if Snappy native library is loaded, `false` if not.

Copyright © 2009 The Apache Software Foundation